Лаборатория Ubuntu
Опыт установки, настройки и использования
Ubuntu Linux Вопросы и ответы Об Ubuntu Новости Игры Записки для новичка
Поиск:

Rhythmbox и Totem | Форум


Вернуться к спискам тем

 Николай Сохряков создал тему 31.01.2009 в 12:35
 Студент  Сообщений: 446
 Репутация: 188

 Сейчас не на форуме
До сиго момента мирился с этой проблемой. пришло время решить.при запущеном ритмбоксе не хочет стартовать тотем. запускается и тут же вылетает.попытался запустить с консоли и посморел вывод. сперва ругался на какой-то модуль. нашел и поставил. после чего ведет себя аналогично, только показывает еще несколько строк с ошибками:(totem:18040): atk-bridge-WARNING **: AT_SPI_REGISTRY was not started at session startup.(totem:18040): atk-bridge-WARNING **: IOR not set.(totem:18040): atk-bridge-WARNING **: Could not locate registry(totem:18040): atk-bridge-WARNING **: AT_SPI_REGISTRY was not started at session startup.(totem:18040): atk-bridge-WARNING **: IOR not set.(totem:18040): atk-bridge-WARNING **: Could not locate registryThe program 39;totem39; received an X Window System error.This probably reflects a bug in the program.The error was 39;BadAlloc (insufficient resources for operation)39;. (Details: serial 72 error_code 11 request_code 141 minor_code 19) (Note to programmers: normally, X errors are reported asynchronously; that is, you will receive the error a while after causing it. To debug your program, run it with the --sync command line option to change this behavior. You can then get a meaningful backtrace from your debugger if you break on the gdk_x_error() function.)последнее сообщение было до и после установки пакета.что делать, как лечить?
Цитировать

 Менеджер по рекламе рекомендует
 Знаток своего дела  Сообщений: 1987
 Репутация: 5055

 Сейчас на форуме

 Николай Сохряков ответил 31.01.2009 в 14:41
 Студент  Сообщений: 446
 Репутация: 188

 Сейчас не на форуме
проблему с долбаной либой исправил. оказалось нельзя отключать поддержку спец возможностей в гноме. но всеравно сообщение о том что он плохо освобождает память остаетсяThe program 39;totem39; received an X Window System error.This probably reflects a bug in the program.The error was 39;BadAlloc (insufficient resources for operation)39;. (Details: serial 96 error_code 11 request_code 141 minor_code 19) (Note to programmers: normally, X errors are reported asynchronously; that is, you will receive the error a while after causing it. To debug your program, run it with the --sync command line option to change this behavior. You can then get a meaningful backtrace from your debugger if you break on the gdk_x_error() function.)
Цитировать

 Даниэл Эфендиев ответил 31.01.2009 в 22:35
 Новичок  Сообщений: 8
 Репутация: 13

 Сейчас не на форуме
Тотем и ритм отстой Амарок и смплеер навсегда
Цитировать

 Андрей Аксёнов ответил 01.02.2009 в 22:34
 Юзер  Сообщений: 145
 Репутация: 68

 Сейчас не на форуме
Даниэл Эфендиевбез троллинга пожалуйста =)------------------Николай Odin Сохряковпросто видимо криво встал .попробуйте собрать вручную, посл версия 2.25http://ftp.acc.umu.se/pub/GNOME/sources/totem/2.25/
Цитировать

 Николай Сохряков ответил 01.02.2009 в 22:59
 Студент  Сообщений: 446
 Репутация: 188

 Сейчас не на форуме
хорошо. попробую. заранее спасибо :)
Цитировать

 Николай Сохряков ответил 02.02.2009 в 23:22
 Студент  Сообщений: 446
 Репутация: 188

 Сейчас не на форуме
скачал сырцы тотема. для сборки требует исходники gstreamer или xine-lib. скачал исходники гстримера. как указать скрипту конфигурации где именно эти исходники лежат?
Цитировать

 Андрей Аксёнов ответил 03.02.2009 в 0:07
 Юзер  Сообщений: 145
 Репутация: 68

 Сейчас не на форуме
нужны не исходники, а установленный gstreamer-plugins-base версии 0.10.21для того чтобы его поставить понадобится glib-2.0 или выше с уймой зависимостеймогу скинуть все зависимости, есть у меня с ними архив - всего 18 штуккаждый надо устанавливать через ./configuremakesudo make installно в какой последовательности их ставить не помнюкогда-то заморачивался, ставил на debian
Цитировать

 Николай Сохряков ответил 03.02.2009 в 0:10
 Студент  Сообщений: 446
 Репутация: 188

 Сейчас не на форуме
так я поставил gstreamer-plugins-base и после запуска скрипта он выдает:checking for backend libraries . configure: error: you need the GStreamer or the xine-lib development packages installedнету их в репах.
Цитировать

 Николай Сохряков ответил 03.02.2009 в 0:10
 Студент  Сообщений: 446
 Репутация: 188

 Сейчас не на форуме
а остальное все у меня есть, ибо занимаюсь программированием :)
Цитировать

 Андрей Аксёнов ответил 03.02.2009 в 0:17
 Юзер  Сообщений: 145
 Репутация: 68

 Сейчас не на форуме
ааа, ну тогда зависимости то естьпоставьте xine-libhttp://sourceforge.net/project/showfiles.php?group_i .должно помочь
Цитировать


Чтобы ответить, нужно авторизоваться здесь



Пользователь
Авторизация на сайте:
Email:
Пароль:
Запомнить (Регистрация)

Новости
Ubuntu
Linux
Сайт
Игры
 Игры для Ubuntu
Текущие проблемы:
FlashPlayer + Opera ?
Дата создания: 14.06.2008 17:11
Тормоза при воспроизведении видео. Ubuntu 8.04
Дата создания: 13.06.2008 21:10
Как сделать проверку орфографии зависимой от текущего языка ввода
Дата создания: 13.06.2008 19:52
Народ я реально с тупым вопрос но все таки помогите )))))
Дата создания: 13.06.2008 19:41
Не открывается меню приложений в Gnome *РЕШЕНО*
Дата создания: 13.06.2008 3:12
Vpn
Дата создания: 12.06.2008 13:52

2010-2012 © Лаборатория Ubuntu